Skip to main content
GET
/
browsers
/
{id}
/
fs
/
download_dir_zip
JavaScript
import Kernel from '@onkernel/sdk';

const client = new Kernel({
  apiKey: process.env['KERNEL_API_KEY'], // This is the default and can be omitted
});

const response = await client.browsers.fs.downloadDirZip('id', { path: '/J!' });

console.log(response);

const content = await response.blob();
console.log(content);
"<string>"

Documentation Index

Fetch the complete documentation index at: https://tbd-6fc993ce-hypeship-document-pool-profile-update-behavior.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Browser session ID

Query Parameters

path
string
required

Absolute directory path to archive and download.

Pattern: ^/.*

Response

ZIP archive of the requested directory

The response is of type file.